=== test/coordinateiterator/CMakeLists.txt ===
VIGRA_ADD_TEST(test_coordinateiterator test.cxx)
