=== test/counting_iterator/CMakeLists.txt ===
VIGRA_ADD_TEST(test_counting_iterator test.cxx)
