=== test/delegates/CMakeLists.txt ===
VIGRA_ADD_TEST(test_delegates test.cxx)
