=== test/integral_image/CMakeLists.txt ===

VIGRA_ADD_TEST(test_integral_image test.cxx LIBRARIES vigraimpex)
