=== test/objectfeatures/CMakeLists.txt ===
VIGRA_ADD_TEST(test_objectfeatures test.cxx LIBRARIES vigraimpex)
VIGRA_ADD_TEST(test_stand_alone_acc_chain stand_alone_acc_chain.cxx)
VIGRA_COPY_TEST_DATA(of.gif)
