=== debian/changelog ===
libvigraimpex (1.10.0+git20160211.167be93+dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New patch link-with-pthread.patch to fix FTBFS against boost1.67 on
    armel (Closes: #914649)

 -- Gilles Filippini <pini@debian.org>  Thu, 29 Nov 2018 20:39:23 +0100

libvigraimpex (1.10.0+git20160211.167be93+dfsg-6) unstable; urgency=medium

  * add multi_convolution_fix_incomplete_template_paramater.patch
    (Closes: #897800).
  * deb/changelog: remove a trailing whitespace.
  * deb/control: update Vcs fields (moved to salsa).
  * deb/copyright:
    + use HTTPS in Format field.
    + expand copyright span.
  * add deb/gbp.conf.

 -- Daniel Stender <stender@debian.org>  Sat, 11 Aug 2018 06:20:04 +0200

libvigraimpex (1.10.0+git20160211.167be93+dfsg-5) unstable; urgency=medium

  * deb/rules: build test_multiarray with -O0 (Closes: #872037).

 -- Daniel Stender <stender@debian.org>  Mon, 14 Aug 2017 22:40:53 +0200

libvigraimpex (1.10.0+git20160211.167be93+dfsg-4) unstable; urgency=medium

  * Upload to unstable.
  * deb/rules: add info on manipulation of test_gridgraph.

 -- Daniel Stender <stender@debian.org>  Sat, 12 Aug 2017 23:00:23 +0200

libvigraimpex (1.10.0+git20160211.167be93+dfsg-4~exp1) experimental; urgency=medium

  * const-swap.patch: provide DEP-3 header.
  * deb/control: update Homepage.
  * deb/rules:
    + change test_blockwiselabeling and test_blockwisewatersheds
      to build with -O0 (Closes: #853513) [thanks to Andreas Metzler].
    + apply the same change for test_gridgraph.
  * drop temporarily-disable-blockwisealgorithms-tests.patch (not needed
    anymore).

 -- Daniel Stender <stender@debian.org>  Thu, 10 Aug 2017 13:02:27 +0200

libvigraimpex (1.10.0+git20160211.167be93+dfsg-3) unstable; urgency=medium

  * add temporarily-disable-blockwisealgorithms-tests.patch.
  * add const-swap.patch (Closes: #871169) [thanks to Matthias Klose].
  * deb/copyright: add src/images/dissolved_color.gif to Files-Excluded
    (which contains "lenna" in composite).

 -- Daniel Stender <stender@debian.org>  Wed, 09 Aug 2017 00:41:15 +0200

libvigraimpex (1.10.0+git20160211.167be93+dfsg-2) unstable; urgency=medium

  * deb/rules: set ffloat-store for i386 CPUs (Closes: #820429)
    [thanks to Tobias Frost].

 -- Daniel Stender <stender@debian.org>  Mon, 18 Apr 2016 17:37:49 +0200

libvigraimpex (1.10.0+git20160211.167be93+dfsg-1) unstable; urgency=medium

  * Stripped non-free "lenna" images from source tarball (Closes: #794853):
    + added all image instances (inkl. Khoros Visualization images, .xv) to
      Files-Excluded in deb/copyright.
    + added disable-tests-which-would-need-lenna-images.diff.

 -- Daniel Stender <stender@debian.org>  Wed, 23 Mar 2016 21:12:41 +0100

libvigraimpex (1.10.0+git20160211.167be93-4) unstable; urgency=medium

  * Upload to unstable.
  * deb/changelog: merged with Sid.
  * deb/rules: build test/math with -O0 (Closes: #817840), cosmetics.

 -- Daniel Stender <stender@debian.org>  Sat, 12 Mar 2016 08:39:03 +0100

libvigraimpex (1.10.0+git20160211.167be93-3) experimental; urgency=medium

  * deb/rules: temporarily failsafe test/multiarray/test_multiarray_chunked
    to build on ppc64el.

 -- Daniel Stender <stender@debian.org>  Wed, 09 Mar 2016 21:45:05 +0100

libvigraimpex (1.10.0+git20160211.167be93-2) experimental; urgency=medium

  * deb/control: added missing Breaks for libvigraimpex6 (Closes: #815795).
  * Added fix-impex-positiontest.diff (Closes: #812850)
  * deb/rules:
    + build with Boost.Thread on armel (Closes: #814606) [plus, added
      libboost-thread-dev to build-deps in control; thanks to Ullrich Koethe].
    + dropped failsafe for test/impex (not needed anymore).
  * Updated uploader email address.

 -- Daniel Stender <stender@debian.org>  Tue, 01 Mar 2016 23:32:30 +0100

libvigraimpex (1.10.0+git20160211.167be93-1) experimental; urgency=medium

  [ Daniel Stender ]
  * Build libvigraimpex6 (Closes: #813415).
  * Add support for multiarch (Closes: #812560).
    + don't ship libvigraimpex-dev with old style vigra-config script.
  * deb/control:
    + depend libvigraimpex-dev on libpng-dev [thanks to Tobias Frost].
    + use HTTPS for Vcs fields.
    + bumped Standards-Version to 3.9.7 (no changes needed).
    + added Replaces to libvigraimpex6 [thanks to Andreas Metzler].
  * deb/copyright: expanded copyright span, added email address.
  * deb/rules:
    + added DH_VERBOSE export line.
    + add BINDNOW to linker flags.
    + don't build with -O3 on ppc64el (support for Ubuntu development).
    + dropped --keep-going from testsuite call to break immediately.
    + removed old, obsolete and unneeded stuff, cosmetics.
  * deb/clean: removed unneeded lines.
  * deb/README.Debian: corrected typo.
  * Dropped deb/libvigraimpex5v5.lintian-overrides.

  [ Andreas Metzler ]
  * Build with version-1-11-rc branch.
    + Unfuzz patches.
    + deb/control: version libboost-python-dev build-dependency.
    + deb/rules: tighten dh_makeshlibs -V argument.

 -- Daniel Stender <debian@danielstender.com>  Mon, 15 Feb 2016 02:43:41 +0100

libvigraimpex (1.10.0+git20160120.803d5d4-3) unstable; urgency=medium

  * deb/control: depend libvigraimpex-dev on libpng-dev.

 -- Daniel Stender <debian@danielstender.com>  Tue, 23 Feb 2016 15:25:11 +0100

libvigraimpex (1.10.0+git20160120.803d5d4-2) unstable; urgency=medium

  * Build libvigraimpex6 (Closes: #813415).

 -- Daniel Stender <debian@danielstender.com>  Sat, 20 Feb 2016 15:48:35 +0100

libvigraimpex (1.10.0+git20160120.803d5d4-1) unstable; urgency=medium

  * Packaging latest development snapshot (Closes: #811370).
  * deb/control:
    + needs python3-sphinx to build.
  * deb/rules:
    + failsafe test/impex temporarily due for problems with EXR.
  * Build with different upstream tarball (the flavour without doc/):
    + deb/watch: changed regex pattern for tarball, added repacksuffix.
    + dropped deb/get-orig.source.sh.

