=== debian/control ===
Source: libvigraimpex
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Daniel Stender <stender@debian.org>
Build-Depends:
 cmake,
 debhelper (>= 9),
 dh-python,
 dpkg-dev (>= 1.15.3~),
 libboost-python-dev (>= 1.40.0),
 libfftw3-dev,
 libhdf5-dev (>= 1.8),
 libjpeg-dev,
 libopenexr-dev,
 libpng-dev,
 libtiff5-dev,
 python-all-dev,
 python-nose,
 python-numpy,
 libboost-thread-dev
Build-Depends-Indep:
 doxygen,
 ghostscript,
 python,
 python3-sphinx,
 texlive-latex-base
Build-Conflicts:
 autoconf2.13
X-Python-Version: >= 2.5
Standards-Version: 3.9.7
Vcs-Browser: https://salsa.debian.org/science-team/libvigraimpex
Vcs-Git: https://salsa.debian.org/science-team/libvigraimpex.git
Homepage: http://ukoethe.github.io/vigra/

Package: libvigraimpex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libfftw3-dev,
 libhdf5-dev (>= 1.8),
 libjpeg-dev,
 libpng-dev,
 libtiff5-dev,
 libvigraimpex6 (= ${binary:Version}),
 ${misc:Depends}
Suggests:
 libvigraimpex-doc
Description: development files for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package contains the header and development files needed to
 build programs and packages using VIGRA.

Package: libvigraimpex6
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Breaks:
 libvigraimpex5v5 (>= 1.10.0+git20160120.803d5d4-1)
Replaces:
 libvigraimpex5v5 (>= 1.10.0+git20160120.803d5d4-1)
Description: C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.

Package: libvigraimpex-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 libvigraimpex-dev,
 python-vigra-doc
Description: Documentation for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package contains documentation for the VIGRA library.

Package: python-vigra
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Recommends:
 python-qt4
Suggests:
 python-h5py,
 python-vigra-doc
Description: Python bindings for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package exports the functionality of the VIGRA library to Python.

Package: python-vigra-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Suggests:
 libvigraimpex-doc,
 python-vigra
Description: Documentation for Python bindings for the C++ computer vision library
 Vision with Generic Algorithms (VIGRA) is a computer vision library
 that puts its main emphasis on flexible algorithms, because
 algorithms represent the principle know-how of this field. The
 library was consequently built using generic programming as
 introduced by Stepanov and Musser and exemplified in the C++ Standard
 Template Library. By writing a few adapters (image iterators and
 accessors) you can use VIGRA's algorithms on top of your data
 structures, within your environment.
 .
 This package contains documentation for Python bindings for the VIGRA library.
