=== test/graph_algorithm/CMakeLists.txt ===
VIGRA_ADD_TEST(test_graph_algorithm test.cxx)
