=== test/multimorphology/CMakeLists.txt ===
VIGRA_ADD_TEST(test_multimorphology test.cxx LIBRARIES vigraimpex)
