=== debian/changelog ===
libvigraimpex (1.10.0+git20160211.167be93+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Replace sphinx.ext.pngmath by sphinx.ext.imgmath
    Closes: #923467

 -- Andreas Tille <tille@debian.org>  Fri, 08 Mar 2019 18:40:38 +0100

libvigraimpex (1.10.0+git20160211.167be93+dfsg1-1) unstable; urgency=medium

  * Repackaged upstream tarball.
  * deb/changelog:
    + remove a trailing line.
  * deb/control:
    + bump standards to 4.3.0.
    + drop ancient X-Python-Version field.
  * deb/copyright:
    + exclude src/images/dissolved.gif (another "lenna" image).
    + exclude docsrc/vigra-wiki.html (not included in docs package).
  * deb/rules:
    + drop obsolete DEB_BUILD_OPTIONS export line.
    + don't evaluate DEB_BUILD_ARCH manually, but include architecture.mk.
  * deb/python-vigra-doc.doc-base:
    + fix Text paragraph for doc-base-file-references-missing-file.
  * bump debhelper level to 10 (changes in d/control and d/compat).

 -- Daniel Stender <stender@debian.org>  Thu, 27 Dec 2018 22:30:27 +0100
