=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Daniel Stender <stender@debian.org>
 Build-Depends:
  cmake,
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  dpkg-dev (>= 1.15.3~),
  libboost-python-dev (>= 1.40.0),
@@ -28,8 +28,7 @@
  texlive-latex-base
 Build-Conflicts:
  autoconf2.13
-X-Python-Version: >= 2.5
-Standards-Version: 3.9.7
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/science-team/libvigraimpex
 Vcs-Git: https://salsa.debian.org/science-team/libvigraimpex.git
 Homepage: http://ukoethe.github.io/vigra/
