=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
-#export DEB_BUILD_OPTIONS=nocheck
 
+include /usr/share/dpkg/architecture.mk
 CFLAGS := $(shell env DEB_CFLAGS_MAINT_APPEND=-pipe dpkg-buildflags --get CFLAGS; dpkg-buildflags --get CPPFLAGS)
 CXXFLAGS := $(shell env DEB_CXXFLAGS_MAINT_APPEND=-pipe dpkg-buildflags --get CXXFLAGS; dpkg-buildflags --get CPPFLAGS)
 LDFLAGS := $(shell env DEB_LDFLAGS_MAINT_APPEND='-Wl,--as-needed -Wl,-z,now' dpkg-buildflags --get LDFLAGS)
@@ -23,8 +23,6 @@
   CMAKE_EXTRAS := -DWITH_BOOST_THREAD=1
   CXXFLAGS += -std=c++11 # not set by VigraDetectThreading.cmake
 endif
-
-DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
 ifneq (,$(filter $(DEB_BUILD_ARCH),mips mipsel))
   CXXFLAGS += --param ggc-min-expand=20
